## net.percederberg.mib.asn1.analysis
Class DepthFirstAdapter

    java.lang.Object
      |
      +--net.percederberg.mib.asn1.analysis.TreeWalker
            |
            +--net.percederberg.mib.asn1.analysis.DepthFirstAdapter

All Implemented Interfaces:
  Switch

Direct Known Subclasses:
  TreePrinter

public class DepthFirstAdapter
extends TreeWalker
implements Switch

This class provides a depth first tree traversal implementation for the parse tree. This class should be subclassed and the appropriate inXXX and outXXX methods overridden for handling various types of parse tree node analysis. All the case methods are declared final to avoid overriding them.

Author:
  Per Cederberg, per@percederberg.net

Constructor Summary
`DepthFirstAdapter()`

Method Summary
`void` `caseAlphabetConstraint(Node node)` Traverses all the children to a node of this type, first calling the inAlphabetConstraint method and afterwards the outAlphabetConstraint method.
`void` `caseAnyType(Node node)` Traverses all the children to a node of this type, first calling the inAnyType method and afterwards the outAnyType method.
`void` `caseAssignment(Node node)` Traverses all the children to a node of this type, first calling the inAssignment method and afterwards the outAssignment method.
`void` `caseAssignmentList(Node node)` Traverses all the children to a node of this type, first calling the inAssignmentList method and afterwards the outAssignmentList method.
`void` `caseBinaryString(Node node)` Traverses all the children to a node of this type, first calling the inBinaryString method and afterwards the outBinaryString method.
`void` `caseBitStringType(Node node)` Traverses all the children to a node of this type, first calling the inBitStringType method and afterwards the outBitStringType method.
`void` `caseBooleanValue(Node node)` Traverses all the children to a node of this type, first calling the inBooleanValue method and afterwards the outBooleanValue method.
`void` `caseBuiltinType(Node node)` Traverses all the children to a node of this type, first calling the inBuiltinType method and afterwards the outBuiltinType method.
`void` `caseBuiltinValue(Node node)` Traverses all the children to a node of this type, first calling the inBuiltinValue method and afterwards the outBuiltinValue method.
`void` `caseCharString(Node node)` Traverses all the children to a node of this type, first calling the inCharString method and afterwards the outCharString method.
`void` `caseChoiceType(Node node)` Traverses all the children to a node of this type, first calling the inChoiceType method and afterwards the outChoiceType method.
`void` `caseClass(Node node)` Traverses all the children to a node of this type, first calling the inClass method and afterwards the outClass method.
`void` `caseClassNumber(Node node)` Traverses all the children to a node of this type, first calling the inClassNumber method and afterwards the outClassNumber method.
`void` `caseConstraint(Node node)` Traverses all the children to a node of this type, first calling the inConstraint method and afterwards the outConstraint method.
`void` `caseConstraintList(Node node)` Traverses all the children to a node of this type, first calling the inConstraintList method and afterwards the outConstraintList method.
`void` `caseDefinedMacroName(Node node)` Traverses all the children to a node of this type, first calling the inDefinedMacroName method and afterwards the outDefinedMacroName method.
`void` `caseDefinedMacroType(Node node)` Traverses all the children to a node of this type, first calling the inDefinedMacroType method and afterwards the outDefinedMacroType method.
`void` `caseDefinedType(Node node)` Traverses all the children to a node of this type, first calling the inDefinedType method and afterwards the outDefinedType method.
`void` `caseDefinedValue(Node node)` Traverses all the children to a node of this type, first calling the inDefinedValue method and afterwards the outDefinedValue method.
`void` `caseElementType(Node node)` Traverses all the children to a node of this type, first calling the inElementType method and afterwards the outElementType method.
`void` `caseElementTypeList(Node node)` Traverses all the children to a node of this type, first calling the inElementTypeList method and afterwards the outElementTypeList method.
`void` `caseEnumeratedType(Node node)` Traverses all the children to a node of this type, first calling the inEnumeratedType method and afterwards the outEnumeratedType method.
`void` `caseEOF(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseExports(Node node)` Traverses all the children to a node of this type, first calling the inExports method and afterwards the outExports method.
`void` `caseHexString(Node node)` Traverses all the children to a node of this type, first calling the inHexString method and afterwards the outHexString method.
`void` `caseIdentifier(Node node)` Traverses all the children to a node of this type, first calling the inIdentifier method and afterwards the outIdentifier method.
`void` `caseImports(Node node)` Traverses all the children to a node of this type, first calling the inImports method and afterwards the outImports method.
`void` `caseIntegerType(Node node)` Traverses all the children to a node of this type, first calling the inIntegerType method and afterwards the outIntegerType method.
`void` `caseLowerEndPoint(Node node)` Traverses all the children to a node of this type, first calling the inLowerEndPoint method and afterwards the outLowerEndPoint method.
`void` `caseMacroBody(Node node)` Traverses all the children to a node of this type, first calling the inMacroBody method and afterwards the outMacroBody method.
`void` `caseMacroDefinition(Node node)` Traverses all the children to a node of this type, first calling the inMacroDefinition method and afterwards the outMacroDefinition method.
`void` `caseMacroReference(Node node)` Traverses all the children to a node of this type, first calling the inMacroReference method and afterwards the outMacroReference method.
`void` `caseModuleBody(Node node)` Traverses all the children to a node of this type, first calling the inModuleBody method and afterwards the outModuleBody method.
`void` `caseModuleDefinition(Node node)` Traverses all the children to a node of this type, first calling the inModuleDefinition method and afterwards the outModuleDefinition method.
`void` `caseModuleIdentifier(Node node)` Traverses all the children to a node of this type, first calling the inModuleIdentifier method and afterwards the outModuleIdentifier method.
`void` `caseModuleReference(Node node)` Traverses all the children to a node of this type, first calling the inModuleReference method and afterwards the outModuleReference method.
`void` `caseNameAndNumberForm(Node node)` Traverses all the children to a node of this type, first calling the inNameAndNumberForm method and afterwards the outNameAndNumberForm method.
`void` `caseNamedNumber(Node node)` Traverses all the children to a node of this type, first calling the inNamedNumber method and afterwards the outNamedNumber method.
`void` `caseNamedNumberList(Node node)` Traverses all the children to a node of this type, first calling the inNamedNumberList method and afterwards the outNamedNumberList method.
`void` `caseNamedType(Node node)` Traverses all the children to a node of this type, first calling the inNamedType method and afterwards the outNamedType method.
`void` `caseNamedValue(Node node)` Traverses all the children to a node of this type, first calling the inNamedValue method and afterwards the outNamedValue method.
`void` `caseNullValue(Node node)` Traverses all the children to a node of this type, first calling the inNullValue method and afterwards the outNullValue method.
`void` `caseNumber(Node node)` Traverses all the children to a node of this type, first calling the inNumber method and afterwards the outNumber method.
`void` `caseObjectIdentifierValue(Node node)` Traverses all the children to a node of this type, first calling the inObjectIdentifierValue method and afterwards the outObjectIdentifierValue method.
`void` `caseObjIdComponent(Node node)` Traverses all the children to a node of this type, first calling the inObjIdComponent method and afterwards the outObjIdComponent method.
`void` `caseObjIdComponentList(Node node)` Traverses all the children to a node of this type, first calling the inObjIdComponentList method and afterwards the outObjIdComponentList method.
`void` `caseSelectionType(Node node)` Traverses all the children to a node of this type, first calling the inSelectionType method and afterwards the outSelectionType method.
`void` `caseSequenceOfType(Node node)` Traverses all the children to a node of this type, first calling the inSequenceOfType method and afterwards the outSequenceOfType method.
`void` `caseSequenceType(Node node)` Traverses all the children to a node of this type, first calling the inSequenceType method and afterwards the outSequenceType method.
`void` `caseSetOfType(Node node)` Traverses all the children to a node of this type, first calling the inSetOfType method and afterwards the outSetOfType method.
`void` `caseSetType(Node node)` Traverses all the children to a node of this type, first calling the inSetType method and afterwards the outSetType method.
`void` `caseSignedNumber(Node node)` Traverses all the children to a node of this type, first calling the inSignedNumber method and afterwards the outSignedNumber method.
`void` `caseSizeConstraint(Node node)` Traverses all the children to a node of this type, first calling the inSizeConstraint method and afterwards the outSizeConstraint method.
`void` `caseSkipToEND(Node node)` Traverses all the children to a node of this type, first calling the inSkipToEND method and afterwards the outSkipToEND method.
`void` `caseSnmpAccessPart(Node node)` Traverses all the children to a node of this type, first calling the inSnmpAccessPart method and afterwards the outSnmpAccessPart method.
`void` `caseSnmpDefValPart(Node node)` Traverses all the children to a node of this type, first calling the inSnmpDefValPart method and afterwards the outSnmpDefValPart method.
`void` `caseSnmpDescrPart(Node node)` Traverses all the children to a node of this type, first calling the inSnmpDescrPart method and afterwards the outSnmpDescrPart method.
`void` `caseSnmpIndexPart(Node node)` Traverses all the children to a node of this type, first calling the inSnmpIndexPart method and afterwards the outSnmpIndexPart method.
`void` `caseSnmpObjectTypeMacroType(Node node)` Traverses all the children to a node of this type, first calling the inSnmpObjectTypeMacroType method and afterwards the outSnmpObjectTypeMacroType method.
`void` `caseSnmpReferPart(Node node)` Traverses all the children to a node of this type, first calling the inSnmpReferPart method and afterwards the outSnmpReferPart method.
`void` `caseSnmpStatusPart(Node node)` Traverses all the children to a node of this type, first calling the inSnmpStatusPart method and afterwards the outSnmpStatusPart method.
`void` `caseSnmpTrapTypeMacroType(Node node)` Traverses all the children to a node of this type, first calling the inSnmpTrapTypeMacroType method and afterwards the outSnmpTrapTypeMacroType method.
`void` `caseSnmpVarPart(Node node)` Traverses all the children to a node of this type, first calling the inSnmpVarPart method and afterwards the outSnmpVarPart method.
`void` `caseSpecialRealValue(Node node)` Traverses all the children to a node of this type, first calling the inSpecialRealValue method and afterwards the outSpecialRealValue method.
`void` `caseStart(Node node)` Traverses all the children to a node of this type, first calling the inStart method and afterwards the outStart method.
`void` `caseStringType(Node node)` Traverses all the children to a node of this type, first calling the inStringType method and afterwards the outStringType method.
`void` `caseSymbol(Node node)` Traverses all the children to a node of this type, first calling the inSymbol method and afterwards the outSymbol method.
`void` `caseSymbolList(Node node)` Traverses all the children to a node of this type, first calling the inSymbolList method and afterwards the outSymbolList method.
`void` `caseSymbolsFromModule(Node node)` Traverses all the children to a node of this type, first calling the inSymbolsFromModule method and afterwards the outSymbolsFromModule method.
`void` `caseSymbolsFromModuleList(Node node)` Traverses all the children to a node of this type, first calling the inSymbolsFromModuleList method and afterwards the outSymbolsFromModuleList method.
`void` `caseTABSENT(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTACCESS(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTag(Node node)` Traverses all the children to a node of this type, first calling the inTag method and afterwards the outTag method.
`void` `caseTagDefault(Node node)` Traverses all the children to a node of this type, first calling the inTagDefault method and afterwards the outTagDefault method.
`void` `caseTaggedType(Node node)` Traverses all the children to a node of this type, first calling the inTaggedType method and afterwards the outTaggedType method.
`void` `caseTANY(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTAPPLICATION(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTASSIGN(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTBAR(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTBEGIN(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTBINSTRING(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTBIT(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTBOOLEAN(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTBY(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTCHOICE(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTCOMMA(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTCOMPONENT(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTCOMPONENTS(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTCSTRING(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTDEFAULT(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTDEFINED(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTDEFINITIONS(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTDEFVAL(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTDESCRIPTION(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTDOT(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTEND(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTENTERPRISE(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTENUMERATED(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTEXPLICIT(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTEXPORTS(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTFALSE(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTFROM(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTHEXSTRING(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTIDENTIFIER(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTIMPLICIT(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTIMPORTS(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTINCLUDES(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTINDEX(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTINTEGER(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTLCASEFIRST_IDENT(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTLEFTBRACE(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTLEFTBRACKET(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTLEFTPAREN(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTLESSTHAN(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTMACRO(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTMAX(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTMIN(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTMINUS_INFINITY(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTMINUS(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTNULL(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTNUMBER(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTOBJECT_TYPE(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTOBJECT(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTOCTET(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTOF(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTOPTIONAL(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTPLUS_INFINITY(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTPRESENT(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTPRIVATE(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTREAL(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTREFERENCE(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTRIGHTBRACE(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTRIGHTBRACKET(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTRIGHTPAREN(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTSEMI_COLON(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTSEQUENCE(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTSET(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTSIZE(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTSTATUS(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTSTRING(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTSYNTAX(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTTAGS(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTTRAP_TYPE(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTTRUE(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTUCASEFIRST_IDENT(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTUNIVERSAL(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTVARIABLES(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseTWITH(Node node)` Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
`void` `caseType(Node node)` Traverses all the children to a node of this type, first calling the inType method and afterwards the outType method.
`void` `caseTypeAssignment(Node node)` Traverses all the children to a node of this type, first calling the inTypeAssignment method and afterwards the outTypeAssignment method.
`void` `caseTypeOrValue(Node node)` Traverses all the children to a node of this type, first calling the inTypeOrValue method and afterwards the outTypeOrValue method.
`void` `caseTypeOrValueList(Node node)` Traverses all the children to a node of this type, first calling the inTypeOrValueList method and afterwards the outTypeOrValueList method.
`void` `caseTypeReference(Node node)` Traverses all the children to a node of this type, first calling the inTypeReference method and afterwards the outTypeReference method.
`void` `caseUpperEndPoint(Node node)` Traverses all the children to a node of this type, first calling the inUpperEndPoint method and afterwards the outUpperEndPoint method.
`void` `caseValue(Node node)` Traverses all the children to a node of this type, first calling the inValue method and afterwards the outValue method.
`void` `caseValueAssignment(Node node)` Traverses all the children to a node of this type, first calling the inValueAssignment method and afterwards the outValueAssignment method.
`void` `caseValueConstraint(Node node)` Traverses all the children to a node of this type, first calling the inValueConstraint method and afterwards the outValueConstraint method.
`void` `caseValueRange(Node node)` Traverses all the children to a node of this type, first calling the inValueRange method and afterwards the outValueRange method.
`void` `caseVarTypes(Node node)` Traverses all the children to a node of this type, first calling the inVarTypes method and afterwards the outVarTypes method.
`protected void` `defaultCase(Node node)` Traverses the child nodes recursively by switching them on this object.
`protected void` `defaultIn(Node node)` A default method called from all inXXX methods.
`protected void` `defaultOut(Node node)` A default method called from all outXXX methods.
`protected void` `inAlphabetConstraint(Node node)` Called upon entering a node of this type.
`protected void` `inAnyType(Node node)` Called upon entering a node of this type.
`protected void` `inAssignment(Node node)` Called upon entering a node of this type.
`protected void` `inAssignmentList(Node node)` Called upon entering a node of this type.
`protected void` `inBinaryString(Node node)` Called upon entering a node of this type.
`protected void` `inBitStringType(Node node)` Called upon entering a node of this type.
`protected void` `inBooleanValue(Node node)` Called upon entering a node of this type.
`protected void` `inBuiltinType(Node node)` Called upon entering a node of this type.
`protected void` `inBuiltinValue(Node node)` Called upon entering a node of this type.
`protected void` `inCharString(Node node)` Called upon entering a node of this type.
`protected void` `inChoiceType(Node node)` Called upon entering a node of this type.
`protected void` `inClass(Node node)` Called upon entering a node of this type.
`protected void` `inClassNumber(Node node)` Called upon entering a node of this type.
`protected void` `inConstraint(Node node)` Called upon entering a node of this type.
`protected void` `inConstraintList(Node node)` Called upon entering a node of this type.
`protected void` `inDefinedMacroName(Node node)` Called upon entering a node of this type.
`protected void` `inDefinedMacroType(Node node)` Called upon entering a node of this type.
`protected void` `inDefinedType(Node node)` Called upon entering a node of this type.
`protected void` `inDefinedValue(Node node)` Called upon entering a node of this type.
`protected void` `inElementType(Node node)` Called upon entering a node of this type.
`protected void` `inElementTypeList(Node node)` Called upon entering a node of this type.
`protected void` `inEnumeratedType(Node node)` Called upon entering a node of this type.
`protected void` `inEOF(Node node)` Called upon entering a node of this type.
`protected void` `inExports(Node node)` Called upon entering a node of this type.
`protected void` `inHexString(Node node)` Called upon entering a node of this type.
`protected void` `inIdentifier(Node node)` Called upon entering a node of this type.
`protected void` `inImports(Node node)` Called upon entering a node of this type.
`protected void` `inIntegerType(Node node)` Called upon entering a node of this type.
`protected void` `inLowerEndPoint(Node node)` Called upon entering a node of this type.
`protected void` `inMacroBody(Node node)` Called upon entering a node of this type.
`protected void` `inMacroDefinition(Node node)` Called upon entering a node of this type.
`protected void` `inMacroReference(Node node)` Called upon entering a node of this type.
`protected void` `inModuleBody(Node node)` Called upon entering a node of this type.
`protected void` `inModuleDefinition(Node node)` Called upon entering a node of this type.
`protected void` `inModuleIdentifier(Node node)` Called upon entering a node of this type.
`protected void` `inModuleReference(Node node)` Called upon entering a node of this type.
`protected void` `inNameAndNumberForm(Node node)` Called upon entering a node of this type.
`protected void` `inNamedNumber(Node node)` Called upon entering a node of this type.
`protected void` `inNamedNumberList(Node node)` Called upon entering a node of this type.
`protected void` `inNamedType(Node node)` Called upon entering a node of this type.
`protected void` `inNamedValue(Node node)` Called upon entering a node of this type.
`protected void` `inNullValue(Node node)` Called upon entering a node of this type.
`protected void` `inNumber(Node node)` Called upon entering a node of this type.
`protected void` `inObjectIdentifierValue(Node node)` Called upon entering a node of this type.
`protected void` `inObjIdComponent(Node node)` Called upon entering a node of this type.
`protected void` `inObjIdComponentList(Node node)` Called upon entering a node of this type.
`protected void` `inSelectionType(Node node)` Called upon entering a node of this type.
`protected void` `inSequenceOfType(Node node)` Called upon entering a node of this type.
`protected void` `inSequenceType(Node node)` Called upon entering a node of this type.
`protected void` `inSetOfType(Node node)` Called upon entering a node of this type.
`protected void` `inSetType(Node node)` Called upon entering a node of this type.
`protected void` `inSignedNumber(Node node)` Called upon entering a node of this type.
`protected void` `inSizeConstraint(Node node)` Called upon entering a node of this type.
`protected void` `inSkipToEND(Node node)` Called upon entering a node of this type.
`protected void` `inSnmpAccessPart(Node node)` Called upon entering a node of this type.
`protected void` `inSnmpDefValPart(Node node)` Called upon entering a node of this type.
`protected void` `inSnmpDescrPart(Node node)` Called upon entering a node of this type.
`protected void` `inSnmpIndexPart(Node node)` Called upon entering a node of this type.
`protected void` `inSnmpObjectTypeMacroType(Node node)` Called upon entering a node of this type.
`protected void` `inSnmpReferPart(Node node)` Called upon entering a node of this type.
`protected void` `inSnmpStatusPart(Node node)` Called upon entering a node of this type.
`protected void` `inSnmpTrapTypeMacroType(Node node)` Called upon entering a node of this type.
`protected void` `inSnmpVarPart(Node node)` Called upon entering a node of this type.
`protected void` `inSpecialRealValue(Node node)` Called upon entering a node of this type.
`protected void` `inStart(Node node)` Called upon entering a node of this type.
`protected void` `inStringType(Node node)` Called upon entering a node of this type.
`protected void` `inSymbol(Node node)` Called upon entering a node of this type.
`protected void` `inSymbolList(Node node)` Called upon entering a node of this type.
`protected void` `inSymbolsFromModule(Node node)` Called upon entering a node of this type.
`protected void` `inSymbolsFromModuleList(Node node)` Called upon entering a node of this type.
`protected void` `inTABSENT(Node node)` Called upon entering a node of this type.
`protected void` `inTACCESS(Node node)` Called upon entering a node of this type.
`protected void` `inTag(Node node)` Called upon entering a node of this type.
`protected void` `inTagDefault(Node node)` Called upon entering a node of this type.
`protected void` `inTaggedType(Node node)` Called upon entering a node of this type.
`protected void` `inTANY(Node node)` Called upon entering a node of this type.
`protected void` `inTAPPLICATION(Node node)` Called upon entering a node of this type.
`protected void` `inTASSIGN(Node node)` Called upon entering a node of this type.
`protected void` `inTBAR(Node node)` Called upon entering a node of this type.
`protected void` `inTBEGIN(Node node)` Called upon entering a node of this type.
`protected void` `inTBINSTRING(Node node)` Called upon entering a node of this type.
`protected void` `inTBIT(Node node)` Called upon entering a node of this type.
`protected void` `inTBOOLEAN(Node node)` Called upon entering a node of this type.
`protected void` `inTBY(Node node)` Called upon entering a node of this type.
`protected void` `inTCHOICE(Node node)` Called upon entering a node of this type.
`protected void` `inTCOMMA(Node node)` Called upon entering a node of this type.
`protected void` `inTCOMPONENT(Node node)` Called upon entering a node of this type.
`protected void` `inTCOMPONENTS(Node node)` Called upon entering a node of this type.
`protected void` `inTCSTRING(Node node)` Called upon entering a node of this type.
`protected void` `inTDEFAULT(Node node)` Called upon entering a node of this type.
`protected void` `inTDEFINED(Node node)` Called upon entering a node of this type.
`protected void` `inTDEFINITIONS(Node node)` Called upon entering a node of this type.
`protected void` `inTDEFVAL(Node node)` Called upon entering a node of this type.
`protected void` `inTDESCRIPTION(Node node)` Called upon entering a node of this type.
`protected void` `inTDOT(Node node)` Called upon entering a node of this type.
`protected void` `inTEND(Node node)` Called upon entering a node of this type.
`protected void` `inTENTERPRISE(Node node)` Called upon entering a node of this type.
`protected void` `inTENUMERATED(Node node)` Called upon entering a node of this type.
`protected void` `inTEXPLICIT(Node node)` Called upon entering a node of this type.
`protected void` `inTEXPORTS(Node node)` Called upon entering a node of this type.
`protected void` `inTFALSE(Node node)` Called upon entering a node of this type.
`protected void` `inTFROM(Node node)` Called upon entering a node of this type.
`protected void` `inTHEXSTRING(Node node)` Called upon entering a node of this type.
`protected void` `inTIDENTIFIER(Node node)` Called upon entering a node of this type.
`protected void` `inTIMPLICIT(Node node)` Called upon entering a node of this type.
`protected void` `inTIMPORTS(Node node)` Called upon entering a node of this type.
`protected void` `inTINCLUDES(Node node)` Called upon entering a node of this type.
`protected void` `inTINDEX(Node node)` Called upon entering a node of this type.
`protected void` `inTINTEGER(Node node)` Called upon entering a node of this type.
`protected void` `inTLCASEFIRST_IDENT(Node node)` Called upon entering a node of this type.
`protected void` `inTLEFTBRACE(Node node)` Called upon entering a node of this type.
`protected void` `inTLEFTBRACKET(Node node)` Called upon entering a node of this type.
`protected void` `inTLEFTPAREN(Node node)` Called upon entering a node of this type.
`protected void` `inTLESSTHAN(Node node)` Called upon entering a node of this type.
`protected void` `inTMACRO(Node node)` Called upon entering a node of this type.
`protected void` `inTMAX(Node node)` Called upon entering a node of this type.
`protected void` `inTMIN(Node node)` Called upon entering a node of this type.
`protected void` `inTMINUS_INFINITY(Node node)` Called upon entering a node of this type.
`protected void` `inTMINUS(Node node)` Called upon entering a node of this type.
`protected void` `inTNULL(Node node)` Called upon entering a node of this type.
`protected void` `inTNUMBER(Node node)` Called upon entering a node of this type.
`protected void` `inTOBJECT_TYPE(Node node)` Called upon entering a node of this type.
`protected void` `inTOBJECT(Node node)` Called upon entering a node of this type.
`protected void` `inTOCTET(Node node)` Called upon entering a node of this type.
`protected void` `inTOF(Node node)` Called upon entering a node of this type.
`protected void` `inTOPTIONAL(Node node)` Called upon entering a node of this type.
`protected void` `inTPLUS_INFINITY(Node node)` Called upon entering a node of this type.
`protected void` `inTPRESENT(Node node)` Called upon entering a node of this type.
`protected void` `inTPRIVATE(Node node)` Called upon entering a node of this type.
`protected void` `inTREAL(Node node)` Called upon entering a node of this type.
`protected void` `inTREFERENCE(Node node)` Called upon entering a node of this type.
`protected void` `inTRIGHTBRACE(Node node)` Called upon entering a node of this type.
`protected void` `inTRIGHTBRACKET(Node node)` Called upon entering a node of this type.
`protected void` `inTRIGHTPAREN(Node node)` Called upon entering a node of this type.
`protected void` `inTSEMI_COLON(Node node)` Called upon entering a node of this type.
`protected void` `inTSEQUENCE(Node node)` Called upon entering a node of this type.
`protected void` `inTSET(Node node)` Called upon entering a node of this type.
`protected void` `inTSIZE(Node node)` Called upon entering a node of this type.
`protected void` `inTSTATUS(Node node)` Called upon entering a node of this type.
`protected void` `inTSTRING(Node node)` Called upon entering a node of this type.
`protected void` `inTSYNTAX(Node node)` Called upon entering a node of this type.
`protected void` `inTTAGS(Node node)` Called upon entering a node of this type.
`protected void` `inTTRAP_TYPE(Node node)` Called upon entering a node of this type.
`protected void` `inTTRUE(Node node)` Called upon entering a node of this type.
`protected void` `inTUCASEFIRST_IDENT(Node node)` Called upon entering a node of this type.
`protected void` `inTUNIVERSAL(Node node)` Called upon entering a node of this type.
`protected void` `inTVARIABLES(Node node)` Called upon entering a node of this type.
`protected void` `inTWITH(Node node)` Called upon entering a node of this type.
`protected void` `inType(Node node)` Called upon entering a node of this type.
`protected void` `inTypeAssignment(Node node)` Called upon entering a node of this type.
`protected void` `inTypeOrValue(Node node)` Called upon entering a node of this type.
`protected void` `inTypeOrValueList(Node node)` Called upon entering a node of this type.
`protected void` `inTypeReference(Node node)` Called upon entering a node of this type.
`protected void` `inUpperEndPoint(Node node)` Called upon entering a node of this type.
`protected void` `inValue(Node node)` Called upon entering a node of this type.
`protected void` `inValueAssignment(Node node)` Called upon entering a node of this type.
`protected void` `inValueConstraint(Node node)` Called upon entering a node of this type.
`protected void` `inValueRange(Node node)` Called upon entering a node of this type.
`protected void` `inVarTypes(Node node)` Called upon entering a node of this type.
`protected void` `outAlphabetConstraint(Node node)` Called upon exiting a node of this type.
`protected void` `outAnyType(Node node)` Called upon exiting a node of this type.
`protected void` `outAssignment(Node node)` Called upon exiting a node of this type.
`protected void` `outAssignmentList(Node node)` Called upon exiting a node of this type.
`protected void` `outBinaryString(Node node)` Called upon exiting a node of this type.
`protected void` `outBitStringType(Node node)` Called upon exiting a node of this type.
`protected void` `outBooleanValue(Node node)` Called upon exiting a node of this type.
`protected void` `outBuiltinType(Node node)` Called upon exiting a node of this type.
`protected void` `outBuiltinValue(Node node)` Called upon exiting a node of this type.
`protected void` `outCharString(Node node)` Called upon exiting a node of this type.
`protected void` `outChoiceType(Node node)` Called upon exiting a node of this type.
`protected void` `outClass(Node node)` Called upon exiting a node of this type.
`protected void` `outClassNumber(Node node)` Called upon exiting a node of this type.
`protected void` `outConstraint(Node node)` Called upon exiting a node of this type.
`protected void` `outConstraintList(Node node)` Called upon exiting a node of this type.
`protected void` `outDefinedMacroName(Node node)` Called upon exiting a node of this type.
`protected void` `outDefinedMacroType(Node node)` Called upon exiting a node of this type.
`protected void` `outDefinedType(Node node)` Called upon exiting a node of this type.
`protected void` `outDefinedValue(Node node)` Called upon exiting a node of this type.
`protected void` `outElementType(Node node)` Called upon exiting a node of this type.
`protected void` `outElementTypeList(Node node)` Called upon exiting a node of this type.
`protected void` `outEnumeratedType(Node node)` Called upon exiting a node of this type.
`protected void` `outEOF(Node node)` Called upon exiting a node of this type.
`protected void` `outExports(Node node)` Called upon exiting a node of this type.
`protected void` `outHexString(Node node)` Called upon exiting a node of this type.
`protected void` `outIdentifier(Node node)` Called upon exiting a node of this type.
`protected void` `outImports(Node node)` Called upon exiting a node of this type.
`protected void` `outIntegerType(Node node)` Called upon exiting a node of this type.
`protected void` `outLowerEndPoint(Node node)` Called upon exiting a node of this type.
`protected void` `outMacroBody(Node node)` Called upon exiting a node of this type.
`protected void` `outMacroDefinition(Node node)` Called upon exiting a node of this type.
`protected void` `outMacroReference(Node node)` Called upon exiting a node of this type.
`protected void` `outModuleBody(Node node)` Called upon exiting a node of this type.
`protected void` `outModuleDefinition(Node node)` Called upon exiting a node of this type.
`protected void` `outModuleIdentifier(Node node)` Called upon exiting a node of this type.
`protected void` `outModuleReference(Node node)` Called upon exiting a node of this type.
`protected void` `outNameAndNumberForm(Node node)` Called upon exiting a node of this type.
`protected void` `outNamedNumber(Node node)` Called upon exiting a node of this type.
`protected void` `outNamedNumberList(Node node)` Called upon exiting a node of this type.
`protected void` `outNamedType(Node node)` Called upon exiting a node of this type.
`protected void` `outNamedValue(Node node)` Called upon exiting a node of this type.
`protected void` `outNullValue(Node node)` Called upon exiting a node of this type.
`protected void` `outNumber(Node node)` Called upon exiting a node of this type.
`protected void` `outObjectIdentifierValue(Node node)` Called upon exiting a node of this type.
`protected void` `outObjIdComponent(Node node)` Called upon exiting a node of this type.
`protected void` `outObjIdComponentList(Node node)` Called upon exiting a node of this type.
`protected void` `outSelectionType(Node node)` Called upon exiting a node of this type.
`protected void` `outSequenceOfType(Node node)` Called upon exiting a node of this type.
`protected void` `outSequenceType(Node node)` Called upon exiting a node of this type.
`protected void` `outSetOfType(Node node)` Called upon exiting a node of this type.
`protected void` `outSetType(Node node)` Called upon exiting a node of this type.
`protected void` `outSignedNumber(Node node)` Called upon exiting a node of this type.
`protected void` `outSizeConstraint(Node node)` Called upon exiting a node of this type.
`protected void` `outSkipToEND(Node node)` Called upon exiting a node of this type.
`protected void` `outSnmpAccessPart(Node node)` Called upon exiting a node of this type.
`protected void` `outSnmpDefValPart(Node node)` Called upon exiting a node of this type.
`protected void` `outSnmpDescrPart(Node node)` Called upon exiting a node of this type.
`protected void` `outSnmpIndexPart(Node node)` Called upon exiting a node of this type.
`protected void` `outSnmpObjectTypeMacroType(Node node)` Called upon exiting a node of this type.
`protected void` `outSnmpReferPart(Node node)` Called upon exiting a node of this type.
`protected void` `outSnmpStatusPart(Node node)` Called upon exiting a node of this type.
`protected void` `outSnmpTrapTypeMacroType(Node node)` Called upon exiting a node of this type.
`protected void` `outSnmpVarPart(Node node)` Called upon exiting a node of this type.
`protected void` `outSpecialRealValue(Node node)` Called upon exiting a node of this type.
`protected void` `outStart(Node node)` Called upon exiting a node of this type.
`protected void` `outStringType(Node node)` Called upon exiting a node of this type.
`protected void` `outSymbol(Node node)` Called upon exiting a node of this type.
`protected void` `outSymbolList(Node node)` Called upon exiting a node of this type.
`protected void` `outSymbolsFromModule(Node node)` Called upon exiting a node of this type.
`protected void` `outSymbolsFromModuleList(Node node)` Called upon exiting a node of this type.
`protected void` `outTABSENT(Node node)` Called upon exiting a node of this type.
`protected void` `outTACCESS(Node node)` Called upon exiting a node of this type.
`protected void` `outTag(Node node)` Called upon exiting a node of this type.
`protected void` `outTagDefault(Node node)` Called upon exiting a node of this type.
`protected void` `outTaggedType(Node node)` Called upon exiting a node of this type.
`protected void` `outTANY(Node node)` Called upon exiting a node of this type.
`protected void` `outTAPPLICATION(Node node)` Called upon exiting a node of this type.
`protected void` `outTASSIGN(Node node)` Called upon exiting a node of this type.
`protected void` `outTBAR(Node node)` Called upon exiting a node of this type.
`protected void` `outTBEGIN(Node node)` Called upon exiting a node of this type.
`protected void` `outTBINSTRING(Node node)` Called upon exiting a node of this type.
`protected void` `outTBIT(Node node)` Called upon exiting a node of this type.
`protected void` `outTBOOLEAN(Node node)` Called upon exiting a node of this type.
`protected void` `outTBY(Node node)` Called upon exiting a node of this type.
`protected void` `outTCHOICE(Node node)` Called upon exiting a node of this type.
`protected void` `outTCOMMA(Node node)` Called upon exiting a node of this type.
`protected void` `outTCOMPONENT(Node node)` Called upon exiting a node of this type.
`protected void` `outTCOMPONENTS(Node node)` Called upon exiting a node of this type.
`protected void` `outTCSTRING(Node node)` Called upon exiting a node of this type.
`protected void` `outTDEFAULT(Node node)` Called upon exiting a node of this type.
`protected void` `outTDEFINED(Node node)` Called upon exiting a node of this type.
`protected void` `outTDEFINITIONS(Node node)` Called upon exiting a node of this type.
`protected void` `outTDEFVAL(Node node)` Called upon exiting a node of this type.
`protected void` `outTDESCRIPTION(Node node)` Called upon exiting a node of this type.
`protected void` `outTDOT(Node node)` Called upon exiting a node of this type.
`protected void` `outTEND(Node node)` Called upon exiting a node of this type.
`protected void` `outTENTERPRISE(Node node)` Called upon exiting a node of this type.
`protected void` `outTENUMERATED(Node node)` Called upon exiting a node of this type.
`protected void` `outTEXPLICIT(Node node)` Called upon exiting a node of this type.
`protected void` `outTEXPORTS(Node node)` Called upon exiting a node of this type.
`protected void` `outTFALSE(Node node)` Called upon exiting a node of this type.
`protected void` `outTFROM(Node node)` Called upon exiting a node of this type.
`protected void` `outTHEXSTRING(Node node)` Called upon exiting a node of this type.
`protected void` `outTIDENTIFIER(Node node)` Called upon exiting a node of this type.
`protected void` `outTIMPLICIT(Node node)` Called upon exiting a node of this type.
`protected void` `outTIMPORTS(Node node)` Called upon exiting a node of this type.
`protected void` `outTINCLUDES(Node node)` Called upon exiting a node of this type.
`protected void` `outTINDEX(Node node)` Called upon exiting a node of this type.
`protected void` `outTINTEGER(Node node)` Called upon exiting a node of this type.
`protected void` `outTLCASEFIRST_IDENT(Node node)` Called upon exiting a node of this type.
`protected void` `outTLEFTBRACE(Node node)` Called upon exiting a node of this type.
`protected void` `outTLEFTBRACKET(Node node)` Called upon exiting a node of this type.
`protected void` `outTLEFTPAREN(Node node)` Called upon exiting a node of this type.
`protected void` `outTLESSTHAN(Node node)` Called upon exiting a node of this type.
`protected void` `outTMACRO(Node node)` Called upon exiting a node of this type.
`protected void` `outTMAX(Node node)` Called upon exiting a node of this type.
`protected void` `outTMIN(Node node)` Called upon exiting a node of this type.
`protected void` `outTMINUS_INFINITY(Node node)` Called upon exiting a node of this type.
`protected void` `outTMINUS(Node node)` Called upon exiting a node of this type.
`protected void` `outTNULL(Node node)` Called upon exiting a node of this type.
`protected void` `outTNUMBER(Node node)` Called upon exiting a node of this type.
`protected void` `outTOBJECT_TYPE(Node node)` Called upon exiting a node of this type.
`protected void` `outTOBJECT(Node node)` Called upon exiting a node of this type.
`protected void` `outTOCTET(Node node)` Called upon exiting a node of this type.
`protected void` `outTOF(Node node)` Called upon exiting a node of this type.
`protected void` `outTOPTIONAL(Node node)` Called upon exiting a node of this type.
`protected void` `outTPLUS_INFINITY(Node node)` Called upon exiting a node of this type.
`protected void` `outTPRESENT(Node node)` Called upon exiting a node of this type.
`protected void` `outTPRIVATE(Node node)` Called upon exiting a node of this type.
`protected void` `outTREAL(Node node)` Called upon exiting a node of this type.
`protected void` `outTREFERENCE(Node node)` Called upon exiting a node of this type.
`protected void` `outTRIGHTBRACE(Node node)` Called upon exiting a node of this type.
`protected void` `outTRIGHTBRACKET(Node node)` Called upon exiting a node of this type.
`protected void` `outTRIGHTPAREN(Node node)` Called upon exiting a node of this type.
`protected void` `outTSEMI_COLON(Node node)` Called upon exiting a node of this type.
`protected void` `outTSEQUENCE(Node node)` Called upon exiting a node of this type.
`protected void` `outTSET(Node node)` Called upon exiting a node of this type.
`protected void` `outTSIZE(Node node)` Called upon exiting a node of this type.
`protected void` `outTSTATUS(Node node)` Called upon exiting a node of this type.
`protected void` `outTSTRING(Node node)` Called upon exiting a node of this type.
`protected void` `outTSYNTAX(Node node)` Called upon exiting a node of this type.
`protected void` `outTTAGS(Node node)` Called upon exiting a node of this type.
`protected void` `outTTRAP_TYPE(Node node)` Called upon exiting a node of this type.
`protected void` `outTTRUE(Node node)` Called upon exiting a node of this type.
`protected void` `outTUCASEFIRST_IDENT(Node node)` Called upon exiting a node of this type.
`protected void` `outTUNIVERSAL(Node node)` Called upon exiting a node of this type.
`protected void` `outTVARIABLES(Node node)` Called upon exiting a node of this type.
`protected void` `outTWITH(Node node)` Called upon exiting a node of this type.
`protected void` `outType(Node node)` Called upon exiting a node of this type.
`protected void` `outTypeAssignment(Node node)` Called upon exiting a node of this type.
`protected void` `outTypeOrValue(Node node)` Called upon exiting a node of this type.
`protected void` `outTypeOrValueList(Node node)` Called upon exiting a node of this type.
`protected void` `outTypeReference(Node node)` Called upon exiting a node of this type.
`protected void` `outUpperEndPoint(Node node)` Called upon exiting a node of this type.
`protected void` `outValue(Node node)` Called upon exiting a node of this type.
`protected void` `outValueAssignment(Node node)` Called upon exiting a node of this type.
`protected void` `outValueConstraint(Node node)` Called upon exiting a node of this type.
`protected void` `outValueRange(Node node)` Called upon exiting a node of this type.
`protected void` `outVarTypes(Node node)` Called upon exiting a node of this type.

Methods inherited from class net.percederberg.mib.asn1.analysis.TreeWalker
`getIn, getOut, setIn, setOut`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DepthFirstAdapter

    public DepthFirstAdapter()

Method Detail

### inStart

    protected void inStart(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outStart

    protected void outStart(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseStart

    public final void caseStart(Node node)

  Traverses all the children to a node of this type, first calling the inStart method and afterwards the outStart method.
  Specified by:
    `caseStart` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inModuleDefinition

    protected void inModuleDefinition(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outModuleDefinition

    protected void outModuleDefinition(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseModuleDefinition

    public final void caseModuleDefinition(Node node)

  Traverses all the children to a node of this type, first calling the inModuleDefinition method and afterwards the outModuleDefinition method.
  Specified by:
    `caseModuleDefinition` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTagDefault

    protected void inTagDefault(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTagDefault

    protected void outTagDefault(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTagDefault

    public final void caseTagDefault(Node node)

  Traverses all the children to a node of this type, first calling the inTagDefault method and afterwards the outTagDefault method.
  Specified by:
    `caseTagDefault` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inModuleIdentifier

    protected void inModuleIdentifier(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outModuleIdentifier

    protected void outModuleIdentifier(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseModuleIdentifier

    public final void caseModuleIdentifier(Node node)

  Traverses all the children to a node of this type, first calling the inModuleIdentifier method and afterwards the outModuleIdentifier method.
  Specified by:
    `caseModuleIdentifier` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inModuleBody

    protected void inModuleBody(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outModuleBody

    protected void outModuleBody(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseModuleBody

    public final void caseModuleBody(Node node)

  Traverses all the children to a node of this type, first calling the inModuleBody method and afterwards the outModuleBody method.
  Specified by:
    `caseModuleBody` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inExports

    protected void inExports(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outExports

    protected void outExports(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseExports

    public final void caseExports(Node node)

  Traverses all the children to a node of this type, first calling the inExports method and afterwards the outExports method.
  Specified by:
    `caseExports` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inImports

    protected void inImports(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outImports

    protected void outImports(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseImports

    public final void caseImports(Node node)

  Traverses all the children to a node of this type, first calling the inImports method and afterwards the outImports method.
  Specified by:
    `caseImports` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inSymbolsFromModuleList

    protected void inSymbolsFromModuleList(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outSymbolsFromModuleList

    protected void outSymbolsFromModuleList(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseSymbolsFromModuleList

    public final void caseSymbolsFromModuleList(Node node)

  Traverses all the children to a node of this type, first calling the inSymbolsFromModuleList method and afterwards the outSymbolsFromModuleList method.
  Specified by:
    `caseSymbolsFromModuleList` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inSymbolsFromModule

    protected void inSymbolsFromModule(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outSymbolsFromModule

    protected void outSymbolsFromModule(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseSymbolsFromModule

    public final void caseSymbolsFromModule(Node node)

  Traverses all the children to a node of this type, first calling the inSymbolsFromModule method and afterwards the outSymbolsFromModule method.
  Specified by:
    `caseSymbolsFromModule` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inSymbolList

    protected void inSymbolList(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outSymbolList

    protected void outSymbolList(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseSymbolList

    public final void caseSymbolList(Node node)

  Traverses all the children to a node of this type, first calling the inSymbolList method and afterwards the outSymbolList method.
  Specified by:
    `caseSymbolList` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inSymbol

    protected void inSymbol(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outSymbol

    protected void outSymbol(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseSymbol

    public final void caseSymbol(Node node)

  Traverses all the children to a node of this type, first calling the inSymbol method and afterwards the outSymbol method.
  Specified by:
    `caseSymbol` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inAssignmentList

    protected void inAssignmentList(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outAssignmentList

    protected void outAssignmentList(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseAssignmentList

    public final void caseAssignmentList(Node node)

  Traverses all the children to a node of this type, first calling the inAssignmentList method and afterwards the outAssignmentList method.
  Specified by:
    `caseAssignmentList` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inAssignment

    protected void inAssignment(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outAssignment

    protected void outAssignment(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseAssignment

    public final void caseAssignment(Node node)

  Traverses all the children to a node of this type, first calling the inAssignment method and afterwards the outAssignment method.
  Specified by:
    `caseAssignment` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inMacroDefinition

    protected void inMacroDefinition(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outMacroDefinition

    protected void outMacroDefinition(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseMacroDefinition

    public final void caseMacroDefinition(Node node)

  Traverses all the children to a node of this type, first calling the inMacroDefinition method and afterwards the outMacroDefinition method.
  Specified by:
    `caseMacroDefinition` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inMacroBody

    protected void inMacroBody(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outMacroBody

    protected void outMacroBody(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseMacroBody

    public final void caseMacroBody(Node node)

  Traverses all the children to a node of this type, first calling the inMacroBody method and afterwards the outMacroBody method.
  Specified by:
    `caseMacroBody` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inSkipToEND

    protected void inSkipToEND(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outSkipToEND

    protected void outSkipToEND(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseSkipToEND

    public final void caseSkipToEND(Node node)

  Traverses all the children to a node of this type, first calling the inSkipToEND method and afterwards the outSkipToEND method.
  Specified by:
    `caseSkipToEND` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inMacroReference

    protected void inMacroReference(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outMacroReference

    protected void outMacroReference(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseMacroReference

    public final void caseMacroReference(Node node)

  Traverses all the children to a node of this type, first calling the inMacroReference method and afterwards the outMacroReference method.
  Specified by:
    `caseMacroReference` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTypeAssignment

    protected void inTypeAssignment(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTypeAssignment

    protected void outTypeAssignment(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTypeAssignment

    public final void caseTypeAssignment(Node node)

  Traverses all the children to a node of this type, first calling the inTypeAssignment method and afterwards the outTypeAssignment method.
  Specified by:
    `caseTypeAssignment` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inType

    protected void inType(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outType

    protected void outType(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseType

    public final void caseType(Node node)

  Traverses all the children to a node of this type, first calling the inType method and afterwards the outType method.
  Specified by:
    `caseType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inBuiltinType

    protected void inBuiltinType(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outBuiltinType

    protected void outBuiltinType(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseBuiltinType

    public final void caseBuiltinType(Node node)

  Traverses all the children to a node of this type, first calling the inBuiltinType method and afterwards the outBuiltinType method.
  Specified by:
    `caseBuiltinType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inIntegerType

    protected void inIntegerType(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outIntegerType

    protected void outIntegerType(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseIntegerType

    public final void caseIntegerType(Node node)

  Traverses all the children to a node of this type, first calling the inIntegerType method and afterwards the outIntegerType method.
  Specified by:
    `caseIntegerType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inNamedNumberList

    protected void inNamedNumberList(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outNamedNumberList

    protected void outNamedNumberList(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseNamedNumberList

    public final void caseNamedNumberList(Node node)

  Traverses all the children to a node of this type, first calling the inNamedNumberList method and afterwards the outNamedNumberList method.
  Specified by:
    `caseNamedNumberList` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inNamedNumber

    protected void inNamedNumber(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outNamedNumber

    protected void outNamedNumber(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseNamedNumber

    public final void caseNamedNumber(Node node)

  Traverses all the children to a node of this type, first calling the inNamedNumber method and afterwards the outNamedNumber method.
  Specified by:
    `caseNamedNumber` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inSignedNumber

    protected void inSignedNumber(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outSignedNumber

    protected void outSignedNumber(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseSignedNumber

    public final void caseSignedNumber(Node node)

  Traverses all the children to a node of this type, first calling the inSignedNumber method and afterwards the outSignedNumber method.
  Specified by:
    `caseSignedNumber` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inStringType

    protected void inStringType(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outStringType

    protected void outStringType(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseStringType

    public final void caseStringType(Node node)

  Traverses all the children to a node of this type, first calling the inStringType method and afterwards the outStringType method.
  Specified by:
    `caseStringType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inBitStringType

    protected void inBitStringType(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outBitStringType

    protected void outBitStringType(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseBitStringType

    public final void caseBitStringType(Node node)

  Traverses all the children to a node of this type, first calling the inBitStringType method and afterwards the outBitStringType method.
  Specified by:
    `caseBitStringType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inSequenceType

    protected void inSequenceType(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outSequenceType

    protected void outSequenceType(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseSequenceType

    public final void caseSequenceType(Node node)

  Traverses all the children to a node of this type, first calling the inSequenceType method and afterwards the outSequenceType method.
  Specified by:
    `caseSequenceType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inSequenceOfType

    protected void inSequenceOfType(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outSequenceOfType

    protected void outSequenceOfType(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseSequenceOfType

    public final void caseSequenceOfType(Node node)

  Traverses all the children to a node of this type, first calling the inSequenceOfType method and afterwards the outSequenceOfType method.
  Specified by:
    `caseSequenceOfType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inSetType

    protected void inSetType(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outSetType

    protected void outSetType(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseSetType

    public final void caseSetType(Node node)

  Traverses all the children to a node of this type, first calling the inSetType method and afterwards the outSetType method.
  Specified by:
    `caseSetType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inSetOfType

    protected void inSetOfType(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outSetOfType

    protected void outSetOfType(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseSetOfType

    public final void caseSetOfType(Node node)

  Traverses all the children to a node of this type, first calling the inSetOfType method and afterwards the outSetOfType method.
  Specified by:
    `caseSetOfType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inElementTypeList

    protected void inElementTypeList(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outElementTypeList

    protected void outElementTypeList(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseElementTypeList

    public final void caseElementTypeList(Node node)

  Traverses all the children to a node of this type, first calling the inElementTypeList method and afterwards the outElementTypeList method.
  Specified by:
    `caseElementTypeList` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inElementType

    protected void inElementType(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outElementType

    protected void outElementType(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseElementType

    public final void caseElementType(Node node)

  Traverses all the children to a node of this type, first calling the inElementType method and afterwards the outElementType method.
  Specified by:
    `caseElementType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inNamedType

    protected void inNamedType(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outNamedType

    protected void outNamedType(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseNamedType

    public final void caseNamedType(Node node)

  Traverses all the children to a node of this type, first calling the inNamedType method and afterwards the outNamedType method.
  Specified by:
    `caseNamedType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inChoiceType

    protected void inChoiceType(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outChoiceType

    protected void outChoiceType(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseChoiceType

    public final void caseChoiceType(Node node)

  Traverses all the children to a node of this type, first calling the inChoiceType method and afterwards the outChoiceType method.
  Specified by:
    `caseChoiceType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inEnumeratedType

    protected void inEnumeratedType(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outEnumeratedType

    protected void outEnumeratedType(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseEnumeratedType

    public final void caseEnumeratedType(Node node)

  Traverses all the children to a node of this type, first calling the inEnumeratedType method and afterwards the outEnumeratedType method.
  Specified by:
    `caseEnumeratedType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inSelectionType

    protected void inSelectionType(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outSelectionType

    protected void outSelectionType(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseSelectionType

    public final void caseSelectionType(Node node)

  Traverses all the children to a node of this type, first calling the inSelectionType method and afterwards the outSelectionType method.
  Specified by:
    `caseSelectionType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTaggedType

    protected void inTaggedType(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTaggedType

    protected void outTaggedType(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTaggedType

    public final void caseTaggedType(Node node)

  Traverses all the children to a node of this type, first calling the inTaggedType method and afterwards the outTaggedType method.
  Specified by:
    `caseTaggedType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTag

    protected void inTag(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTag

    protected void outTag(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTag

    public final void caseTag(Node node)

  Traverses all the children to a node of this type, first calling the inTag method and afterwards the outTag method.
  Specified by:
    `caseTag` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inClassNumber

    protected void inClassNumber(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outClassNumber

    protected void outClassNumber(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseClassNumber

    public final void caseClassNumber(Node node)

  Traverses all the children to a node of this type, first calling the inClassNumber method and afterwards the outClassNumber method.
  Specified by:
    `caseClassNumber` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inClass

    protected void inClass(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outClass

    protected void outClass(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseClass

    public final void caseClass(Node node)

  Traverses all the children to a node of this type, first calling the inClass method and afterwards the outClass method.
  Specified by:
    `caseClass` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inAnyType

    protected void inAnyType(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outAnyType

    protected void outAnyType(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseAnyType

    public final void caseAnyType(Node node)

  Traverses all the children to a node of this type, first calling the inAnyType method and afterwards the outAnyType method.
  Specified by:
    `caseAnyType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inDefinedType

    protected void inDefinedType(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outDefinedType

    protected void outDefinedType(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseDefinedType

    public final void caseDefinedType(Node node)

  Traverses all the children to a node of this type, first calling the inDefinedType method and afterwards the outDefinedType method.
  Specified by:
    `caseDefinedType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inConstraintList

    protected void inConstraintList(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outConstraintList

    protected void outConstraintList(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseConstraintList

    public final void caseConstraintList(Node node)

  Traverses all the children to a node of this type, first calling the inConstraintList method and afterwards the outConstraintList method.
  Specified by:
    `caseConstraintList` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inConstraint

    protected void inConstraint(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outConstraint

    protected void outConstraint(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseConstraint

    public final void caseConstraint(Node node)

  Traverses all the children to a node of this type, first calling the inConstraint method and afterwards the outConstraint method.
  Specified by:
    `caseConstraint` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inValueConstraint

    protected void inValueConstraint(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outValueConstraint

    protected void outValueConstraint(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseValueConstraint

    public final void caseValueConstraint(Node node)

  Traverses all the children to a node of this type, first calling the inValueConstraint method and afterwards the outValueConstraint method.
  Specified by:
    `caseValueConstraint` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inValueRange

    protected void inValueRange(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outValueRange

    protected void outValueRange(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseValueRange

    public final void caseValueRange(Node node)

  Traverses all the children to a node of this type, first calling the inValueRange method and afterwards the outValueRange method.
  Specified by:
    `caseValueRange` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inLowerEndPoint

    protected void inLowerEndPoint(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outLowerEndPoint

    protected void outLowerEndPoint(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseLowerEndPoint

    public final void caseLowerEndPoint(Node node)

  Traverses all the children to a node of this type, first calling the inLowerEndPoint method and afterwards the outLowerEndPoint method.
  Specified by:
    `caseLowerEndPoint` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inUpperEndPoint

    protected void inUpperEndPoint(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outUpperEndPoint

    protected void outUpperEndPoint(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseUpperEndPoint

    public final void caseUpperEndPoint(Node node)

  Traverses all the children to a node of this type, first calling the inUpperEndPoint method and afterwards the outUpperEndPoint method.
  Specified by:
    `caseUpperEndPoint` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inSizeConstraint

    protected void inSizeConstraint(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outSizeConstraint

    protected void outSizeConstraint(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseSizeConstraint

    public final void caseSizeConstraint(Node node)

  Traverses all the children to a node of this type, first calling the inSizeConstraint method and afterwards the outSizeConstraint method.
  Specified by:
    `caseSizeConstraint` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inAlphabetConstraint

    protected void inAlphabetConstraint(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outAlphabetConstraint

    protected void outAlphabetConstraint(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseAlphabetConstraint

    public final void caseAlphabetConstraint(Node node)

  Traverses all the children to a node of this type, first calling the inAlphabetConstraint method and afterwards the outAlphabetConstraint method.
  Specified by:
    `caseAlphabetConstraint` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inValueAssignment

    protected void inValueAssignment(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outValueAssignment

    protected void outValueAssignment(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseValueAssignment

    public final void caseValueAssignment(Node node)

  Traverses all the children to a node of this type, first calling the inValueAssignment method and afterwards the outValueAssignment method.
  Specified by:
    `caseValueAssignment` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inValue

    protected void inValue(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outValue

    protected void outValue(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseValue

    public final void caseValue(Node node)

  Traverses all the children to a node of this type, first calling the inValue method and afterwards the outValue method.
  Specified by:
    `caseValue` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inDefinedValue

    protected void inDefinedValue(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outDefinedValue

    protected void outDefinedValue(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseDefinedValue

    public final void caseDefinedValue(Node node)

  Traverses all the children to a node of this type, first calling the inDefinedValue method and afterwards the outDefinedValue method.
  Specified by:
    `caseDefinedValue` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inBuiltinValue

    protected void inBuiltinValue(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outBuiltinValue

    protected void outBuiltinValue(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseBuiltinValue

    public final void caseBuiltinValue(Node node)

  Traverses all the children to a node of this type, first calling the inBuiltinValue method and afterwards the outBuiltinValue method.
  Specified by:
    `caseBuiltinValue` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inBooleanValue

    protected void inBooleanValue(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outBooleanValue

    protected void outBooleanValue(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseBooleanValue

    public final void caseBooleanValue(Node node)

  Traverses all the children to a node of this type, first calling the inBooleanValue method and afterwards the outBooleanValue method.
  Specified by:
    `caseBooleanValue` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inSpecialRealValue

    protected void inSpecialRealValue(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outSpecialRealValue

    protected void outSpecialRealValue(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseSpecialRealValue

    public final void caseSpecialRealValue(Node node)

  Traverses all the children to a node of this type, first calling the inSpecialRealValue method and afterwards the outSpecialRealValue method.
  Specified by:
    `caseSpecialRealValue` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inNullValue

    protected void inNullValue(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outNullValue

    protected void outNullValue(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseNullValue

    public final void caseNullValue(Node node)

  Traverses all the children to a node of this type, first calling the inNullValue method and afterwards the outNullValue method.
  Specified by:
    `caseNullValue` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inNamedValue

    protected void inNamedValue(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outNamedValue

    protected void outNamedValue(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseNamedValue

    public final void caseNamedValue(Node node)

  Traverses all the children to a node of this type, first calling the inNamedValue method and afterwards the outNamedValue method.
  Specified by:
    `caseNamedValue` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inObjectIdentifierValue

    protected void inObjectIdentifierValue(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outObjectIdentifierValue

    protected void outObjectIdentifierValue(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseObjectIdentifierValue

    public final void caseObjectIdentifierValue(Node node)

  Traverses all the children to a node of this type, first calling the inObjectIdentifierValue method and afterwards the outObjectIdentifierValue method.
  Specified by:
    `caseObjectIdentifierValue` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inObjIdComponentList

    protected void inObjIdComponentList(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outObjIdComponentList

    protected void outObjIdComponentList(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseObjIdComponentList

    public final void caseObjIdComponentList(Node node)

  Traverses all the children to a node of this type, first calling the inObjIdComponentList method and afterwards the outObjIdComponentList method.
  Specified by:
    `caseObjIdComponentList` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inObjIdComponent

    protected void inObjIdComponent(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outObjIdComponent

    protected void outObjIdComponent(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseObjIdComponent

    public final void caseObjIdComponent(Node node)

  Traverses all the children to a node of this type, first calling the inObjIdComponent method and afterwards the outObjIdComponent method.
  Specified by:
    `caseObjIdComponent` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inNameAndNumberForm

    protected void inNameAndNumberForm(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outNameAndNumberForm

    protected void outNameAndNumberForm(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseNameAndNumberForm

    public final void caseNameAndNumberForm(Node node)

  Traverses all the children to a node of this type, first calling the inNameAndNumberForm method and afterwards the outNameAndNumberForm method.
  Specified by:
    `caseNameAndNumberForm` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inBinaryString

    protected void inBinaryString(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outBinaryString

    protected void outBinaryString(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseBinaryString

    public final void caseBinaryString(Node node)

  Traverses all the children to a node of this type, first calling the inBinaryString method and afterwards the outBinaryString method.
  Specified by:
    `caseBinaryString` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inHexString

    protected void inHexString(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outHexString

    protected void outHexString(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseHexString

    public final void caseHexString(Node node)

  Traverses all the children to a node of this type, first calling the inHexString method and afterwards the outHexString method.
  Specified by:
    `caseHexString` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inCharString

    protected void inCharString(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outCharString

    protected void outCharString(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseCharString

    public final void caseCharString(Node node)

  Traverses all the children to a node of this type, first calling the inCharString method and afterwards the outCharString method.
  Specified by:
    `caseCharString` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inNumber

    protected void inNumber(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outNumber

    protected void outNumber(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseNumber

    public final void caseNumber(Node node)

  Traverses all the children to a node of this type, first calling the inNumber method and afterwards the outNumber method.
  Specified by:
    `caseNumber` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inIdentifier

    protected void inIdentifier(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outIdentifier

    protected void outIdentifier(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseIdentifier

    public final void caseIdentifier(Node node)

  Traverses all the children to a node of this type, first calling the inIdentifier method and afterwards the outIdentifier method.
  Specified by:
    `caseIdentifier` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inModuleReference

    protected void inModuleReference(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outModuleReference

    protected void outModuleReference(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseModuleReference

    public final void caseModuleReference(Node node)

  Traverses all the children to a node of this type, first calling the inModuleReference method and afterwards the outModuleReference method.
  Specified by:
    `caseModuleReference` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTypeReference

    protected void inTypeReference(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTypeReference

    protected void outTypeReference(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTypeReference

    public final void caseTypeReference(Node node)

  Traverses all the children to a node of this type, first calling the inTypeReference method and afterwards the outTypeReference method.
  Specified by:
    `caseTypeReference` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inDefinedMacroType

    protected void inDefinedMacroType(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outDefinedMacroType

    protected void outDefinedMacroType(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseDefinedMacroType

    public final void caseDefinedMacroType(Node node)

  Traverses all the children to a node of this type, first calling the inDefinedMacroType method and afterwards the outDefinedMacroType method.
  Specified by:
    `caseDefinedMacroType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inDefinedMacroName

    protected void inDefinedMacroName(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outDefinedMacroName

    protected void outDefinedMacroName(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseDefinedMacroName

    public final void caseDefinedMacroName(Node node)

  Traverses all the children to a node of this type, first calling the inDefinedMacroName method and afterwards the outDefinedMacroName method.
  Specified by:
    `caseDefinedMacroName` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inSnmpObjectTypeMacroType

    protected void inSnmpObjectTypeMacroType(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outSnmpObjectTypeMacroType

    protected void outSnmpObjectTypeMacroType(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseSnmpObjectTypeMacroType

    public final void caseSnmpObjectTypeMacroType(Node node)

  Traverses all the children to a node of this type, first calling the inSnmpObjectTypeMacroType method and afterwards the outSnmpObjectTypeMacroType method.
  Specified by:
    `caseSnmpObjectTypeMacroType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inSnmpTrapTypeMacroType

    protected void inSnmpTrapTypeMacroType(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outSnmpTrapTypeMacroType

    protected void outSnmpTrapTypeMacroType(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseSnmpTrapTypeMacroType

    public final void caseSnmpTrapTypeMacroType(Node node)

  Traverses all the children to a node of this type, first calling the inSnmpTrapTypeMacroType method and afterwards the outSnmpTrapTypeMacroType method.
  Specified by:
    `caseSnmpTrapTypeMacroType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inSnmpAccessPart

    protected void inSnmpAccessPart(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outSnmpAccessPart

    protected void outSnmpAccessPart(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseSnmpAccessPart

    public final void caseSnmpAccessPart(Node node)

  Traverses all the children to a node of this type, first calling the inSnmpAccessPart method and afterwards the outSnmpAccessPart method.
  Specified by:
    `caseSnmpAccessPart` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inSnmpStatusPart

    protected void inSnmpStatusPart(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outSnmpStatusPart

    protected void outSnmpStatusPart(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseSnmpStatusPart

    public final void caseSnmpStatusPart(Node node)

  Traverses all the children to a node of this type, first calling the inSnmpStatusPart method and afterwards the outSnmpStatusPart method.
  Specified by:
    `caseSnmpStatusPart` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inSnmpDescrPart

    protected void inSnmpDescrPart(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outSnmpDescrPart

    protected void outSnmpDescrPart(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseSnmpDescrPart

    public final void caseSnmpDescrPart(Node node)

  Traverses all the children to a node of this type, first calling the inSnmpDescrPart method and afterwards the outSnmpDescrPart method.
  Specified by:
    `caseSnmpDescrPart` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inSnmpReferPart

    protected void inSnmpReferPart(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outSnmpReferPart

    protected void outSnmpReferPart(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseSnmpReferPart

    public final void caseSnmpReferPart(Node node)

  Traverses all the children to a node of this type, first calling the inSnmpReferPart method and afterwards the outSnmpReferPart method.
  Specified by:
    `caseSnmpReferPart` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inSnmpIndexPart

    protected void inSnmpIndexPart(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outSnmpIndexPart

    protected void outSnmpIndexPart(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseSnmpIndexPart

    public final void caseSnmpIndexPart(Node node)

  Traverses all the children to a node of this type, first calling the inSnmpIndexPart method and afterwards the outSnmpIndexPart method.
  Specified by:
    `caseSnmpIndexPart` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTypeOrValueList

    protected void inTypeOrValueList(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTypeOrValueList

    protected void outTypeOrValueList(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTypeOrValueList

    public final void caseTypeOrValueList(Node node)

  Traverses all the children to a node of this type, first calling the inTypeOrValueList method and afterwards the outTypeOrValueList method.
  Specified by:
    `caseTypeOrValueList` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTypeOrValue

    protected void inTypeOrValue(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTypeOrValue

    protected void outTypeOrValue(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTypeOrValue

    public final void caseTypeOrValue(Node node)

  Traverses all the children to a node of this type, first calling the inTypeOrValue method and afterwards the outTypeOrValue method.
  Specified by:
    `caseTypeOrValue` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inSnmpDefValPart

    protected void inSnmpDefValPart(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outSnmpDefValPart

    protected void outSnmpDefValPart(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseSnmpDefValPart

    public final void caseSnmpDefValPart(Node node)

  Traverses all the children to a node of this type, first calling the inSnmpDefValPart method and afterwards the outSnmpDefValPart method.
  Specified by:
    `caseSnmpDefValPart` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inSnmpVarPart

    protected void inSnmpVarPart(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outSnmpVarPart

    protected void outSnmpVarPart(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseSnmpVarPart

    public final void caseSnmpVarPart(Node node)

  Traverses all the children to a node of this type, first calling the inSnmpVarPart method and afterwards the outSnmpVarPart method.
  Specified by:
    `caseSnmpVarPart` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inVarTypes

    protected void inVarTypes(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outVarTypes

    protected void outVarTypes(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseVarTypes

    public final void caseVarTypes(Node node)

  Traverses all the children to a node of this type, first calling the inVarTypes method and afterwards the outVarTypes method.
  Specified by:
    `caseVarTypes` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inEOF

    protected void inEOF(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outEOF

    protected void outEOF(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseEOF

    public final void caseEOF(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseEOF` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTDOT

    protected void inTDOT(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTDOT

    protected void outTDOT(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTDOT

    public final void caseTDOT(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTDOT` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTCOMMA

    protected void inTCOMMA(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTCOMMA

    protected void outTCOMMA(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTCOMMA

    public final void caseTCOMMA(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTCOMMA` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTSEMI_COLON

    protected void inTSEMI_COLON(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTSEMI_COLON

    protected void outTSEMI_COLON(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTSEMI_COLON

    public final void caseTSEMI_COLON(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTSEMI_COLON` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTLEFTPAREN

    protected void inTLEFTPAREN(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTLEFTPAREN

    protected void outTLEFTPAREN(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTLEFTPAREN

    public final void caseTLEFTPAREN(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTLEFTPAREN` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTRIGHTPAREN

    protected void inTRIGHTPAREN(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTRIGHTPAREN

    protected void outTRIGHTPAREN(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTRIGHTPAREN

    public final void caseTRIGHTPAREN(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTRIGHTPAREN` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTLEFTBRACE

    protected void inTLEFTBRACE(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTLEFTBRACE

    protected void outTLEFTBRACE(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTLEFTBRACE

    public final void caseTLEFTBRACE(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTLEFTBRACE` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTRIGHTBRACE

    protected void inTRIGHTBRACE(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTRIGHTBRACE

    protected void outTRIGHTBRACE(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTRIGHTBRACE

    public final void caseTRIGHTBRACE(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTRIGHTBRACE` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTLEFTBRACKET

    protected void inTLEFTBRACKET(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTLEFTBRACKET

    protected void outTLEFTBRACKET(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTLEFTBRACKET

    public final void caseTLEFTBRACKET(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTLEFTBRACKET` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTRIGHTBRACKET

    protected void inTRIGHTBRACKET(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTRIGHTBRACKET

    protected void outTRIGHTBRACKET(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTRIGHTBRACKET

    public final void caseTRIGHTBRACKET(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTRIGHTBRACKET` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTMINUS

    protected void inTMINUS(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTMINUS

    protected void outTMINUS(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTMINUS

    public final void caseTMINUS(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTMINUS` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTLESSTHAN

    protected void inTLESSTHAN(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTLESSTHAN

    protected void outTLESSTHAN(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTLESSTHAN

    public final void caseTLESSTHAN(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTLESSTHAN` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTBAR

    protected void inTBAR(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTBAR

    protected void outTBAR(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTBAR

    public final void caseTBAR(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTBAR` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTASSIGN

    protected void inTASSIGN(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTASSIGN

    protected void outTASSIGN(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTASSIGN

    public final void caseTASSIGN(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTASSIGN` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTDEFINITIONS

    protected void inTDEFINITIONS(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTDEFINITIONS

    protected void outTDEFINITIONS(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTDEFINITIONS

    public final void caseTDEFINITIONS(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTDEFINITIONS` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTEXPLICIT

    protected void inTEXPLICIT(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTEXPLICIT

    protected void outTEXPLICIT(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTEXPLICIT

    public final void caseTEXPLICIT(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTEXPLICIT` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTIMPLICIT

    protected void inTIMPLICIT(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTIMPLICIT

    protected void outTIMPLICIT(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTIMPLICIT

    public final void caseTIMPLICIT(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTIMPLICIT` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTTAGS

    protected void inTTAGS(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTTAGS

    protected void outTTAGS(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTTAGS

    public final void caseTTAGS(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTTAGS` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTBEGIN

    protected void inTBEGIN(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTBEGIN

    protected void outTBEGIN(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTBEGIN

    public final void caseTBEGIN(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTBEGIN` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTEND

    protected void inTEND(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTEND

    protected void outTEND(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTEND

    public final void caseTEND(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTEND` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTEXPORTS

    protected void inTEXPORTS(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTEXPORTS

    protected void outTEXPORTS(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTEXPORTS

    public final void caseTEXPORTS(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTEXPORTS` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTIMPORTS

    protected void inTIMPORTS(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTIMPORTS

    protected void outTIMPORTS(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTIMPORTS

    public final void caseTIMPORTS(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTIMPORTS` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTFROM

    protected void inTFROM(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTFROM

    protected void outTFROM(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTFROM

    public final void caseTFROM(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTFROM` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTMACRO

    protected void inTMACRO(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTMACRO

    protected void outTMACRO(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTMACRO

    public final void caseTMACRO(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTMACRO` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTINTEGER

    protected void inTINTEGER(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTINTEGER

    protected void outTINTEGER(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTINTEGER

    public final void caseTINTEGER(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTINTEGER` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTREAL

    protected void inTREAL(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTREAL

    protected void outTREAL(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTREAL

    public final void caseTREAL(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTREAL` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTBOOLEAN

    protected void inTBOOLEAN(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTBOOLEAN

    protected void outTBOOLEAN(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTBOOLEAN

    public final void caseTBOOLEAN(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTBOOLEAN` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTNULL

    protected void inTNULL(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTNULL

    protected void outTNULL(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTNULL

    public final void caseTNULL(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTNULL` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTBIT

    protected void inTBIT(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTBIT

    protected void outTBIT(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTBIT

    public final void caseTBIT(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTBIT` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTOCTET

    protected void inTOCTET(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTOCTET

    protected void outTOCTET(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTOCTET

    public final void caseTOCTET(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTOCTET` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTSTRING

    protected void inTSTRING(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTSTRING

    protected void outTSTRING(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTSTRING

    public final void caseTSTRING(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTSTRING` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTENUMERATED

    protected void inTENUMERATED(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTENUMERATED

    protected void outTENUMERATED(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTENUMERATED

    public final void caseTENUMERATED(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTENUMERATED` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTSEQUENCE

    protected void inTSEQUENCE(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTSEQUENCE

    protected void outTSEQUENCE(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTSEQUENCE

    public final void caseTSEQUENCE(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTSEQUENCE` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTSET

    protected void inTSET(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTSET

    protected void outTSET(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTSET

    public final void caseTSET(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTSET` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTOF

    protected void inTOF(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTOF

    protected void outTOF(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTOF

    public final void caseTOF(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTOF` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTCHOICE

    protected void inTCHOICE(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTCHOICE

    protected void outTCHOICE(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTCHOICE

    public final void caseTCHOICE(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTCHOICE` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTUNIVERSAL

    protected void inTUNIVERSAL(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTUNIVERSAL

    protected void outTUNIVERSAL(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTUNIVERSAL

    public final void caseTUNIVERSAL(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTUNIVERSAL` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTAPPLICATION

    protected void inTAPPLICATION(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTAPPLICATION

    protected void outTAPPLICATION(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTAPPLICATION

    public final void caseTAPPLICATION(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTAPPLICATION` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTPRIVATE

    protected void inTPRIVATE(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTPRIVATE

    protected void outTPRIVATE(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTPRIVATE

    public final void caseTPRIVATE(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTPRIVATE` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTANY

    protected void inTANY(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTANY

    protected void outTANY(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTANY

    public final void caseTANY(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTANY` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTDEFINED

    protected void inTDEFINED(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTDEFINED

    protected void outTDEFINED(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTDEFINED

    public final void caseTDEFINED(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTDEFINED` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTBY

    protected void inTBY(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTBY

    protected void outTBY(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTBY

    public final void caseTBY(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTBY` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTOBJECT

    protected void inTOBJECT(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTOBJECT

    protected void outTOBJECT(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTOBJECT

    public final void caseTOBJECT(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTOBJECT` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTIDENTIFIER

    protected void inTIDENTIFIER(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTIDENTIFIER

    protected void outTIDENTIFIER(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTIDENTIFIER

    public final void caseTIDENTIFIER(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTIDENTIFIER` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTINCLUDES

    protected void inTINCLUDES(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTINCLUDES

    protected void outTINCLUDES(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTINCLUDES

    public final void caseTINCLUDES(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTINCLUDES` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTMIN

    protected void inTMIN(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTMIN

    protected void outTMIN(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTMIN

    public final void caseTMIN(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTMIN` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTMAX

    protected void inTMAX(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTMAX

    protected void outTMAX(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTMAX

    public final void caseTMAX(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTMAX` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTSIZE

    protected void inTSIZE(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTSIZE

    protected void outTSIZE(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTSIZE

    public final void caseTSIZE(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTSIZE` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTWITH

    protected void inTWITH(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTWITH

    protected void outTWITH(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTWITH

    public final void caseTWITH(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTWITH` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTCOMPONENT

    protected void inTCOMPONENT(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTCOMPONENT

    protected void outTCOMPONENT(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTCOMPONENT

    public final void caseTCOMPONENT(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTCOMPONENT` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTCOMPONENTS

    protected void inTCOMPONENTS(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTCOMPONENTS

    protected void outTCOMPONENTS(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTCOMPONENTS

    public final void caseTCOMPONENTS(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTCOMPONENTS` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTPRESENT

    protected void inTPRESENT(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTPRESENT

    protected void outTPRESENT(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTPRESENT

    public final void caseTPRESENT(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTPRESENT` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTABSENT

    protected void inTABSENT(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTABSENT

    protected void outTABSENT(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTABSENT

    public final void caseTABSENT(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTABSENT` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTOPTIONAL

    protected void inTOPTIONAL(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTOPTIONAL

    protected void outTOPTIONAL(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTOPTIONAL

    public final void caseTOPTIONAL(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTOPTIONAL` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTDEFAULT

    protected void inTDEFAULT(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTDEFAULT

    protected void outTDEFAULT(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTDEFAULT

    public final void caseTDEFAULT(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTDEFAULT` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTTRUE

    protected void inTTRUE(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTTRUE

    protected void outTTRUE(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTTRUE

    public final void caseTTRUE(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTTRUE` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTFALSE

    protected void inTFALSE(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTFALSE

    protected void outTFALSE(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTFALSE

    public final void caseTFALSE(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTFALSE` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTPLUS_INFINITY

    protected void inTPLUS_INFINITY(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTPLUS_INFINITY

    protected void outTPLUS_INFINITY(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTPLUS_INFINITY

    public final void caseTPLUS_INFINITY(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTPLUS_INFINITY` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTMINUS_INFINITY

    protected void inTMINUS_INFINITY(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTMINUS_INFINITY

    protected void outTMINUS_INFINITY(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTMINUS_INFINITY

    public final void caseTMINUS_INFINITY(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTMINUS_INFINITY` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTOBJECT_TYPE

    protected void inTOBJECT_TYPE(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTOBJECT_TYPE

    protected void outTOBJECT_TYPE(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTOBJECT_TYPE

    public final void caseTOBJECT_TYPE(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTOBJECT_TYPE` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTTRAP_TYPE

    protected void inTTRAP_TYPE(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTTRAP_TYPE

    protected void outTTRAP_TYPE(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTTRAP_TYPE

    public final void caseTTRAP_TYPE(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTTRAP_TYPE` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTSYNTAX

    protected void inTSYNTAX(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTSYNTAX

    protected void outTSYNTAX(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTSYNTAX

    public final void caseTSYNTAX(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTSYNTAX` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTACCESS

    protected void inTACCESS(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTACCESS

    protected void outTACCESS(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTACCESS

    public final void caseTACCESS(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTACCESS` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTSTATUS

    protected void inTSTATUS(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTSTATUS

    protected void outTSTATUS(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTSTATUS

    public final void caseTSTATUS(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTSTATUS` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTDESCRIPTION

    protected void inTDESCRIPTION(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTDESCRIPTION

    protected void outTDESCRIPTION(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTDESCRIPTION

    public final void caseTDESCRIPTION(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTDESCRIPTION` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTREFERENCE

    protected void inTREFERENCE(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTREFERENCE

    protected void outTREFERENCE(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTREFERENCE

    public final void caseTREFERENCE(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTREFERENCE` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTINDEX

    protected void inTINDEX(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTINDEX

    protected void outTINDEX(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTINDEX

    public final void caseTINDEX(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTINDEX` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTDEFVAL

    protected void inTDEFVAL(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTDEFVAL

    protected void outTDEFVAL(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTDEFVAL

    public final void caseTDEFVAL(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTDEFVAL` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTENTERPRISE

    protected void inTENTERPRISE(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTENTERPRISE

    protected void outTENTERPRISE(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTENTERPRISE

    public final void caseTENTERPRISE(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTENTERPRISE` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTVARIABLES

    protected void inTVARIABLES(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTVARIABLES

    protected void outTVARIABLES(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTVARIABLES

    public final void caseTVARIABLES(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTVARIABLES` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTBINSTRING

    protected void inTBINSTRING(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTBINSTRING

    protected void outTBINSTRING(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTBINSTRING

    public final void caseTBINSTRING(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTBINSTRING` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTHEXSTRING

    protected void inTHEXSTRING(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTHEXSTRING

    protected void outTHEXSTRING(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTHEXSTRING

    public final void caseTHEXSTRING(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTHEXSTRING` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTCSTRING

    protected void inTCSTRING(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTCSTRING

    protected void outTCSTRING(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTCSTRING

    public final void caseTCSTRING(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTCSTRING` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTUCASEFIRST_IDENT

    protected void inTUCASEFIRST_IDENT(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTUCASEFIRST_IDENT

    protected void outTUCASEFIRST_IDENT(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTUCASEFIRST_IDENT

    public final void caseTUCASEFIRST_IDENT(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTUCASEFIRST_IDENT` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTLCASEFIRST_IDENT

    protected void inTLCASEFIRST_IDENT(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTLCASEFIRST_IDENT

    protected void outTLCASEFIRST_IDENT(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTLCASEFIRST_IDENT

    public final void caseTLCASEFIRST_IDENT(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTLCASEFIRST_IDENT` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### inTNUMBER

    protected void inTNUMBER(Node node)

  Called upon entering a node of this type. By default calls the defaultIn method.
  Parameters:
    `node` - a parse tree node

### outTNUMBER

    protected void outTNUMBER(Node node)

  Called upon exiting a node of this type. By default calls the defaultOut method.
  Parameters:
    `node` - a parse tree node

### caseTNUMBER

    public final void caseTNUMBER(Node node)

  Traverses all the children to a node of this type, first calling the appropriate inXXX method and afterwards the corresponding outXXX method.
  Specified by:
    `caseTNUMBER` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### defaultIn

    protected void defaultIn(Node node)

  A default method called from all inXXX methods. Override this method in a subclass to handle the default case.
  Parameters:
    `node` - a parse tree node

### defaultOut

    protected void defaultOut(Node node)

  A default method called from all outXXX methods. Override this method in a subclass to handle the default case.
  Parameters:
    `node` - a parse tree node

### defaultCase

    protected final void defaultCase(Node node)

  Traverses the child nodes recursively by switching them on this object.
  Parameters:
    `node` - a parse tree node